<?php
/**
 *  Biblioteca do Componete controlBar
 *
 *  Versão:     data:
 *  Revisão:    data:
 */
 
/**
 *  função controlBar()
 */
function create_controlBar($controlBar, $controlBar_Conf )
{
  if ( $controlBar_Conf['mostraIcone'] == 'true' ||
       $controlBar_Conf['mostraIcone'] == 'sim' 
      )
  {
    $img = IMG . $controlBar_Conf['icone']; 
    writeTO( '  <img id="' . $controlBar . '_icone" src="' . $img  . '" />' );
  }// End if ( $controlBar_Conf['mostraIcone'] )
}// End

/**
 *  create_controlBar_css()
 */  
function create_controlBar_css( $controlBar, 
                                $controlBar_Global,
                                $controlBar_Style)
{
  $newline = "\n";
  
  echo('  #' .$controlBar .'{  '                                          . $newline );
  echo('    position:'         . $controlBar_Global['position']    . '; ' . $newline );
  echo('    top:'              . $controlBar_Global['top']         . '; ' . $newline );
  echo('    left: '            . $controlBar_Global['left']        . '; ' . $newline );
  echo('    z-index:10;  '                                                . $newline );
  echo('    width:'            . $controlBar_Global['width']       . '; ' . $newline );
  echo('    height:'           . $controlBar_Global['height']      . '; ' . $newline );
  echo('    visibility:'       . $controlBar_Global['visibility']  . '; ' . $newline );
  echo('    overflow:hidden;  '                                           . $newline );
  echo('    background-color:' . $controlBar_Global['bgcolor']     . '; ' . $newline );
  echo('    font-family:'      . $controlBar_Global['fontFamily']  . '; ' . $newline );
  echo('    padding-top:'      . $controlBar_Global['paddingTop']  . '; ' . $newline );
  echo('    padding-left:'     . $controlBar_Global['paddingLeft'] . '; ' . $newline );
  echo('    margin-left:'      . $controlBar_Global['marginLeft']  . '; ' . $newline );
  echo('    border-top:'       . $controlBar_Style['borderTop']    . '; ' . $newline );
  echo('    border-bottom:'    . $controlBar_Style['borderBottom'] . '; ' . $newline );
  echo('    border-left:'      . $controlBar_Style['borderLeft']   . '; ' . $newline );
  echo('    border-right:'     . $controlBar_Style['borderRight']  . '; ' . $newline );
  echo('}  '                                                              . $newline );
}// End   
  
  
  
?>